<?

include("dblib.inc");

include("clublib.inc");

checkAdmin();

$message = "";

?>



<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">



<html>

<head>

	<title>Ricerca per amministratori</title>

	<link rel="stylesheet" type="text/css" href="stylesheet.css">

</head>
<body bgcolor="#FFFFFF" link="#504C43" alink="#000000" vlink="#504C43" text="#000000">

<? 

include("Header.php"); 



?>
<p><br></p>
<p><div align="center"></div>

<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">

  <!-- BEGIN Error -->

   <tr>

    <td colspan="4" class="FacetDataTD"></td></tr>

   <tr>
<?
	$headers_fatture = array(
		"N. Fattura" => "ID_Fattura",
		"Condominio" => "Ragione_Sociale",
		"Amministratore" => "Descrizione",
		"Data Fattura" => "Data_Fattura",
		"Scadenza" => "Scadenza",
		"Totale" => "Totale",
		"Ritenuta" => "Ritenuta",
		);
	$headerFatture = new linkHeaders($headers_fatture);
	$headerFatture -> output();	



	 include "init2.php";
     include "database.php";
	if (strlen($_POST['keywords'])<1) { 
    echo "<p>ATTENZIONE!!!! Devi inserire almeno 1 caratteri</p>";
	exit();
	} 
    if (!empty($_POST['keywords'])) {
      $searchStr = $_POST['keywords'];
      if (ereg("^[a-zA-Z0-9.-]+$", $searchStr)) {
        $db = connect();
        if ($db) {
          print "<p class=\"whiteTxt\">Risultati per \"$searchStr\"</p><br>";
          $keys = explode(" ", $searchStr);

          for ($x = 0; $x < count($keys); $x++) {
            $querystr = "SELECT * FROM " . $db_table . " WHERE (((Descrizione = \"$keys[$x]\") OR (Descrizione LIKE \"%$keys[$x]%\")))";
            $result = mysql_query($querystr,$db);
            if ($frow = mysql_fetch_array($result)) {
               $found = true;
               do {
			  
          print "<tr>";

	print "<td class=\"FacetDataTD\"><a href=\"Admin_Stampa_Fattura.php?ID_Fattura=".$frow['ID_Fattura']."\">".$frow["Prog_Fattura_Annuo"]."</a> &nbsp;</td>";
	print "<td class=\"FacetDataTD\">".$frow["Ragione_Sociale"]." &nbsp;</td><td class=\"FacetDataTD\">".$frow["Descrizione"]." &nbsp;</td><td class=\"FacetDataTD\">".formatDate($frow["Data_Fattura"])." &nbsp;</td><td class=\"FacetDataTD\">".formatDate($frow["Scadenza"])." &nbsp;</td><td class=\"FacetDataTD\">".$frow['Totale'] ."&nbsp;</td><td class=\"FacetDataTD\">".$frow['Ritenuta'] ."&nbsp;</td>";

	print "</tr>";
	
$Totale =$Totale+$frow["Ritenuta"];
	
               } while ($frow = mysql_fetch_array($result));
			   
            } 
            
          }
          if (!$found) {
            print("<p class=\"whiteTxt\">Nessun risultato.<br>");
            
          }
          
          
            
        }
        else {
          print("<p class=\"whiteTxt\">Il database non จจ in funzione.</p>");
        }
      }
      else {
         print("<p class=\"whiteTxt\">Errore ! Hai inserito dei caratteri riservati..</p>");
       }
    }
    else {
       print("<p class=\"whiteTxt\">Deci inserire una parola chiave.</p>");
    }
  
 
 
 



  
?>
</table>
<? echo "<p>Totale ritenute $Totale</p>"; ?>
